## org.hibernate.ejb.criteria.expression
Class MapEntryExpression<K,V>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<Map.Entry<K,V>>
                      org.hibernate.ejb.criteria.expression.MapEntryExpression<K,V>

All Implemented Interfaces:
  Serializable, javax.persistence.criteria.Expression<Map.Entry<K,V>>, javax.persistence.criteria.Selection<Map.Entry<K,V>>, TupleElement<Map.Entry<K,V>>, ExpressionImplementor<Map.Entry<K,V>>, ParameterContainer, Renderable, SelectionImplementor<Map.Entry<K,V>>, TupleElementImplementor<Map.Entry<K,V>>

    public class MapEntryExpression<K,V>

extends ExpressionImpl<Map.Entry<K,V>>
implements javax.persistence.criteria.Expression<Map.Entry<K,V>>, Serializable

TODO : javadoc

Author:
  Steve Ebersole
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`MapEntryExpression(CriteriaBuilderImpl criteriaBuilder, Class<Map.Entry<K,V>> javaType, PathImplementor origin, javax.persistence.metamodel.MapAttribute<?,K,V> attribute)`

Method Summary
`javax.persistence.metamodel.MapAttribute<?,K,V>` `getAttribute()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`String` `renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### MapEntryExpression

    public MapEntryExpression(CriteriaBuilderImpl criteriaBuilder,
                              Class<Map.Entry<K,V>> javaType,
                              PathImplementor origin,
                              javax.persistence.metamodel.MapAttribute<?,K,V> attribute)

Method Detail

### getAttribute

    public javax.persistence.metamodel.MapAttribute<?,K,V> getAttribute()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`

### renderProjection

    public String renderProjection(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `renderProjection` in interface `Renderable`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.